This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 856699 - adding/removing repo to repo group results in traceback in the log
adding/removing repo to repo group results in traceback in the log
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
Master
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 40
Assigned To: Jason Connor
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 11:35 EDT by Preethi Thomas
Modified: 2014-03-30 21:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:05:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-09-12 11:35:31 EDT
Description of problem:

Adding/Removing repo to repogroup results in traceback in pulp.log
Version-Release number of selected component (if applicable):
[root@preethi-el6-pulp ~]# rpm -q pulp-rpm-server
pulp-rpm-server-2.0.3-1.el6.noarch


How reproducible:


Steps to Reproduce:
1. create a repo group
2. add a repo to the repo group
3.check pulp.log
  
Actual results:
root@preethi-el6-pulp ~]# pulp-admin repo group members add --group-id rhel6 --filters='{"id":"rhel6_2"}'


Expected results:


Additional info:2012-09-12 11:32:27,301 16085:140012242859776: pulp.server.dispatch.call:ERROR: call:191 Exception encountered while pickling: args
2012-09-12 11:32:27,302 16085:140012242859776: pulp.server.dispatch.call:ERROR: call:192 'NoneType' object is not callable
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/pulp/server/dispatch/call.py", line 187, in serialize
    data[field] = pickle.dumps(getattr(self, field))
  File "/usr/lib64/python2.6/pickle.py", line 1366, in dumps
    Pickler(file, protocol).dump(obj)
  File "/usr/lib64/python2.6/pickle.py", line 224, in dump
    self.save(obj)
  File "/usr/lib64/python2.6/pickle.py", line 286, in save
    f(self, obj) # Call unbound method with explicit self
  File "/usr/lib64/python2.6/pickle.py", line 600, in save_list
    self._batch_appends(iter(obj))
  File "/usr/lib64/python2.6/pickle.py", line 615, in _batch_appends
    save(x)
  File "/usr/lib64/python2.6/pickle.py", line 306, in save
    rv = reduce(self.proto)
  File "/usr/lib64/python2.6/copy_reg.py", line 84, in _reduce_ex
    dict = getstate()
TypeError: 'NoneType' object is not callable
2012-09-12 11:32:27,324 16085:140012098152192: pulp.server.dispatch.task:INFO: task:148 Task 0ec4a8f0-fcef-11e1-a421-525400c5886c: CallRequest: RepoGroupManager.associate(u'rhel6', {'sort': None, 'skip': None, 'limit': None, 'filters': {u'id': u'rhel6_2'}, 'fields': None, '_id': ObjectId('5050ab0b196f453ed5002b6f'), 'id': '5050ab0b196f453ed5002b6f'}) SUCCEEDED
Comment 1 Jason Connor 2012-09-18 02:36:45 EDT
This was fixed as part of another bug: 855384

Fix pushed to master in:
867f9c141b7b31145e2c6a193b66368af9fed624
Comment 2 Jeff Ortel 2012-09-18 19:57:47 EDT
This bug is aligned to CR-2 (indicated by version=CR-2).  But, the comment indicates it was fixed in master.  Preethi, should the version be: Master?
Comment 3 Preethi Thomas 2012-09-19 08:53:18 EDT
changed to master
Comment 4 Jeff Ortel 2012-09-21 14:11:24 EDT
build: 0.328
Comment 5 Preethi Thomas 2012-09-25 14:51:05 EDT
[root@pulp-master ~]# rpm -q pulp-rpm-serverpulp-rpm-server-0.0.328-1.fc17.noarch
[root@pulp-master ~]# 


[root@pulp-master ~]#  pulp-admin repo group members add --group-id pulp --filters='{"id":"pulp"}'
Successfully added members to repository group [pulp]

[root@pulp-master ~]# pulp-admin repo group list+----------------------------------------------------------------------+
                           Repository Groups
+----------------------------------------------------------------------+

Id:           pulp
Display Name: None
Description:  None
Repo Ids:     pulp
Notes:
Comment 6 Preethi Thomas 2013-01-09 12:05:30 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.